Subject: bug#25521: 26.0.50; After (make-frame '((name . "foo"))) (select-frame-by-name "foo") doesn't see the frame

From: martin rudalics <[email-masked]>
Date: Fri, 01 Sep 2017 17:45:41 +0200

> Ah, so we could just do something like this? (untested)

With a slightly amended doc-string, yes.  If someone insists on having
two frames with the same name on different displays and relying on the
old behavior to choose the one on the same display, we could add such a
check to give preference to a frame with the given name on the same
display.  I doubt that someone relies on this function to throw an error
when a frame with the given name exists only on another display.

Note that I'm not opposed to a timeout solution.  As far as w32term.c is
concerned, I think your solution is superior to the present one.  But
IMHO we should try to orchestrate all these efforts using a timer to
synchronize Emacs with the window manager or window system in a uniform
way so that the user knows where and how her time is spent.

For example, if we decided that x_wait_for_event is a good idea, then we
should implement it on Windows too and use it uniformly when waiting for
a move frame event or the visibility confirmation.

martin